## ppx-tools-versioned 5.2.1

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

all:
	jbuilder build --dev @install

install:
	jbuilder install $(INSTALL_ARGS)

uninstall:
	jbuilder uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

test:
	jbuilder runtest --dev

promote:
	jbuilder promote

clean:
	jbuilder clean

all-supported-ocaml-versions:
	jbuilder runtest --dev --workspace jbuild-workspace.dev

.PHONY: all-supported-ocaml-versions all install uninstall reinstall test clean

## ppx-tools-versioned 5.2

=== debian/changelog ===
ppx-tools-versioned (5.2-1) unstable; urgency=low

  * Initial release. (Closes: #899238)

 -- Andy Li <andy@onthewings.net>  Wed, 20 Jun 2018 11:13:02 +0800

=== debian/control ===
Source: ppx-tools-versioned
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.1.4
Build-Depends:
 debhelper (>= 10.3),
 ocaml-nox (>= 4.02.0),
 ocamlbuild,
 dune,
 libmigrate-parsetree-ocaml-dev,
 ocaml-findlib,
 opam,
 dh-ocaml
Homepage: https://github.com/ocaml-ppx/ppx_tools_versioned
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools-versioned
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-tools-versioned.git

Package: libppx-tools-versioned-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Tools for authors of OCaml syntactic tools (Runtime library)
 A variant of ppx-tools based on ocaml-migrate-parsetree.
 .
 It includes tools for authors of syntactic tools (such as
 ppx rewriters):
  * ppx_metaquot: a ppx filter to help writing programs which
    manipulate the Parsetree, by allowing the programmer to use
    concrete syntax for expressions creating Parsetree fragments and
    patterns deconstructing Parsetree fragments;
  * rewriter: a utility to help testing ppx rewriters that runs the
    rewriter on user-provided code and returns the result;
  * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
    implementing a deep identity copy, which can be customized with a
    custom behavior for each syntactic category;
  * dumpast: parses fragments of OCaml code (or entire source files)
    and dump the resulting internal Parsetree representation;
  * genlifter: generates a virtual "lifter" class for one or several
    OCaml type constructors.

Package: libppx-tools-versioned-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Tools for authors of OCaml syntactic tools (Development package)
 A variant of ppx-tools based on ocaml-migrate-parsetree.
 .
 It includes tools for authors of syntactic tools (such as
 ppx rewriters):
  * ppx_metaquot: a ppx filter to help writing programs which
    manipulate the Parsetree, by allowing the programmer to use
    concrete syntax for expressions creating Parsetree fragments and
    patterns deconstructing Parsetree fragments;
  * rewriter: a utility to help testing ppx rewriters that runs the
    rewriter on user-provided code and returns the result;
  * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
    implementing a deep identity copy, which can be customized with a
    custom behavior for each syntactic category;
  * dumpast: parses fragments of OCaml code (or entire source files)
    and dump the resulting internal Parsetree representation;
  * genlifter: generates a virtual "lifter" class for one or several
    OCaml type constructors.

Package: libppx-tools-versioned-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libppx-tools-versioned-ocaml-dev
Description: Documentation for ppx-tools-versioned
 A variant of ppx-tools based on ocaml-migrate-parsetree.
 .
 It includes tools for authors of syntactic tools (such as
 ppx rewriters):
  * ppx_metaquot: a ppx filter to help writing programs which
    manipulate the Parsetree, by allowing the programmer to use
    concrete syntax for expressions creating Parsetree fragments and
    patterns deconstructing Parsetree fragments;
  * rewriter: a utility to help testing ppx rewriters that runs the
    rewriter on user-provided code and returns the result;
  * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
    implementing a deep identity copy, which can be customized with a
    custom behavior for each syntactic category;
  * dumpast: parses fragments of OCaml code (or entire source files)
    and dump the resulting internal Parsetree representation;
  * genlifter: generates a virtual "lifter" class for one or several
    OCaml type constructors.
 .
 This package contains documentation for ppx-tools-versioned in html
 format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	dh_auto_install -- INSTALL_ARGS='--prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose'

override_dh_missing:
	dh_missing --fail-missing

## ppx-tools-versioned 5.2.1

=== debian/changelog ===
ppx-tools-versioned (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/rules regarding changes to dune.
  * Bump Standards-Version to 4.3.0 (no changes).
  * Fix autopkgtest.

 -- Andy Li <andy@onthewings.net>  Wed, 26 Dec 2018 00:38:42 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends:
  debhelper (>= 10.3),
  ocaml-nox (>= 4.02.0),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	dh_auto_install -- INSTALL_ARGS='--prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose'
+	dh_auto_install -- INSTALL_ARGS='--verbose'
 
 override_dh_missing:
 	dh_missing --fail-missing

## ppx-tools-versioned 5.2.3

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

all:
	dune build

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

test:
	dune runtest

promote:
	dune promote

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @default @runtest --workspace dune-workspace.dev

.PHONY: all-supported-ocaml-versions all install uninstall reinstall test clean

=== example/ppx_once/Makefile ===
PACKAGE=ppx_once
OCAMLC=ocamlfind c
OCAMLOPT=ocamlfind opt
FLAGS=-package ocaml-migrate-parsetree,ppx_tools_versioned.metaquot_405
TARGETS=ppx_once ppx_once.cmo ppx_once.cmx ppx_once.cmxs

all: build
	
clean:
	rm -f *.o *.cm* $(TARGETS)

build: $(TARGETS)

install: build
	ocamlfind install $(PACKAGE) META $(TARGETS)

uninstall:
	ocamlfind remove $(PACKAGE)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

%.cmo: %.ml
	$(OCAMLC) $(FLAGS) -c $^

%.cmx: %.ml
	$(OCAMLOPT) $(FLAGS) -c $^

ppx_once.cmxs: ppx_once.cmx
	$(OCAMLOPT) -o $@ -shared $^

ppx_once: ppx_once.cmx standalone.ml
	$(OCAMLOPT) $(FLAGS) -o $@ -linkpkg $^

=== debian/changelog ===
ppx-tools-versioned (5.2.3-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:51 +0000

ppx-tools-versioned (5.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Aug 2019 04:38:25 +0200

ppx-tools-versioned (5.2.1-2) unstable; urgency=high

  * Team upload
  * Force rebuild of all packages on buildds

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:23:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ppx-tools-versioned
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 10.3),
+ debhelper-compat (= 12),
  ocaml-nox (>= 4.02.0),
- ocamlbuild,
- dune,
- libmigrate-parsetree-ocaml-dev,
+ ocaml-dune,
+ libmigrate-parsetree-ocaml-dev (>= 1.4.0),
  ocaml-findlib,
- opam,
  dh-ocaml
 Homepage: https://github.com/ocaml-ppx/ppx_tools_versioned
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools-versioned

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_tools_versioned

override_dh_auto_test:
	dune runtest -p ppx_tools_versioned

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_missing:
	dh_missing --fail-missing

## ppx-tools-versioned 5.4.0

=== debian/changelog ===
ppx-tools-versioned (5.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 07:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ppx-tools-versioned
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox (>= 4.02.0),
+ debhelper-compat (= 13),
+ ocaml-nox,
  ocaml-dune,
- libmigrate-parsetree-ocaml-dev (>= 1.4.0),
+ libmigrate-parsetree-ocaml-dev (>= 1.7.0),
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/ocaml-ppx/ppx_tools_versioned
@@ -71,6 +71,8 @@
     and dump the resulting internal Parsetree representation;
   * genlifter: generates a virtual "lifter" class for one or several
     OCaml type constructors.
+ .
+ This package contains development files.
 
 Package: libppx-tools-versioned-ocaml-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,4 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

=== debian/tests/control ===
Tests: ppx-once
Depends: ocaml-nox, ocaml-findlib, @
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppx_tools_versioned/releases .*/archive/(\d\S*)\.tar\.gz
